gnu-getopt-1.0.13-lp150.36.1.noarch.rpm


Advertisement

Description

gnu-getopt - Java getopt Implementation

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE JAVA all
Package name gnu-getopt
Package version 1.0.13
Package release lp150.36.1
Package architecture noarch
Package type rpm
Installed size 43.58 KB
Download size 32.23 KB
Official Mirror ftp.gwdg.de
The GNU Java getopt classes support short and long argument parsing in
a manner 100% compatible with the version of GNU getopt in glibc 2.0.6
with a mostly compatible programmer's interface as well. Note that this
is a port, not a new implementation.

Alternatives

Package Version Architecture Repository
gnu-getopt-1.0.13-lp150.1.11.noarch.rpm 1.0.13 noarch openSUSE Oss
gnu-getopt - - -

Provides

Name Value
gnu-getopt = 1.0.13-lp150.36.1

Download

Type URL
Binary Package gnu-getopt-1.0.13-lp150.36.1.noarch.rpm
Source Package gnu-getopt-1.0.13-lp150.36.1.src.rpm

Install Howto

  1. Add the openSUSE JAVA repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_15.0/ opensuse-java
  2. Install gnu-getopt rpm package:
    # zypper install gnu-getopt

Files

Path
/usr/share/doc/packages/gnu-getopt/COPYING.LIB
/usr/share/doc/packages/gnu-getopt/README
/usr/share/java/gnu.getopt-1.0.13.jar
/usr/share/java/gnu.getopt.jar

Changelog

2018-05-17 - fstrba@suse.com
- Modified patch:
* gnu-getopt-java16compat.patch -> gnu-getopt-java8compat.patch
+ Build with source and target 8 to prepare for a possible
removal of 1.6 compatibility
2017-09-14 - fstrba@suse.com
- Removed patch:
* gnu-getopt-java14compat.patch
- Added patch:
* gnu-getopt-java16compat.patch
+ Build with java source and target 1.6 in order to allow
building with jdk9
2017-05-20 - tchvatal@suse.com
- Remove unneeded deps
2014-10-07 - tchvatal@suse.com
- Clean up with spec-cleaner
2008-10-09 - mvyskocil@suse.cz
- update to 1.0.13:
* added an Spanish, Polish and Italian messages
2006-09-25 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires
2005-07-27 - jsmeix@suse.de
- Adjustments in the spec file.
2005-07-18 - jsmeix@suse.de
- Current version 1.0.10 from JPackage.org
2005-02-18 - skh@suse.de
- update to version 1.0.10
- don't use icecream

See Also

Package Description
gnu-getopt-javadoc-1.0.13-lp150.36.1.noarch.rpm Javadoc for gnu.getopt
gnu-inetlib-1.1-lp150.487.1.noarch.rpm Library of clients for common internet protocols
gnu-jaf-1.1.1-lp150.40.1.noarch.rpm GNU implementation of the JavaBeans Activation Framework
gnu-regexp-1.1.4-lp150.574.1.noarch.rpm Java NFA regular expression engine
gnu-regexp-demo-1.1.4-lp150.574.1.noarch.rpm Java NFA regular expression engine (demo and samples)
gnu-regexp-javadoc-1.1.4-lp150.574.1.noarch.rpm Java NFA regular expression engine (documentation)
gradle-local-5.2.0+git20180620.70fa2258-lp150.57.1.x86_64.rpm Local mode for Gradle
gradle-open-api-3.2.1-lp150.17.1.noarch.rpm Open API definition for gradle
hamcrest-1.3-lp150.60.1.noarch.rpm Library of matchers for building test expressions
hamcrest-1.3-lp150.60.4.noarch.rpm Library of matchers for building test expressions
hamcrest-demo-1.3-lp150.60.1.noarch.rpm Demo files for hamcrest
hamcrest-demo-1.3-lp150.60.4.noarch.rpm Demo files for hamcrest
hamcrest-javadoc-1.3-lp150.60.1.noarch.rpm Javadoc for hamcrest
hamcrest-javadoc-1.3-lp150.60.4.noarch.rpm Javadoc for hamcrest
hbci4java-2.5.12.hibiscus.2.6.18-lp150.14.4.x86_64.rpm Java online banking client using the HBCI standard
Advertisement
Advertisement